##
##  orientdb.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2025 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         orientdb
Summary:      Graph and Document Database
URL:          http://orientdb.com/
Vendor:       Luca Garulli
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        Database
License:      Apache
Version:      2.2.31
Release:      20171221

#   list of sources
Source0:      http://orientdb.com/downloads/orientdb-community-importers-%{version}.zip
Source1:      orientdb-console.sh
Source2:      orientdb-server.sh
Source3:      rc.orientdb

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101
PreReq:       OpenPKG, openpkg >= 20160101, java, JAVA-JDK

%description
    OrientDB is the Document Database with support of ACID Transactions,
    SQL and Native Queries, Asynchronous Commands, Intents, and much
    more.

%track
    prog orientdb = {
        version   = %{version}
        url       = http://orientdb.com/download/
        regex     = orientdb-community-(\d+\.\d+\.\d+)\.zip
    }

%prep
    %setup -q -n orientdb-community-importers-%{version}

%build

%install
    #   create installation hierarchy
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/etc/rc.d \
        $RPM_BUILD_ROOT%{l_prefix}/etc/orientdb \
        $RPM_BUILD_ROOT%{l_prefix}/lib/orientdb \
        $RPM_BUILD_ROOT%{l_prefix}/share/orientdb \
        $RPM_BUILD_ROOT%{l_prefix}/var/orientdb/databases \
        $RPM_BUILD_ROOT%{l_prefix}/var/orientdb/run \
        $RPM_BUILD_ROOT%{l_prefix}/var/orientdb/log

    #   install default configuration
    %{l_shtool} install -c -m 644 \
        config/orientdb-server-config.xml \
        $RPM_BUILD_ROOT%{l_prefix}/etc/orientdb/
    %{l_shtool} install -c -m 644 \
        -e 's;\.\./log/orient-server\.log;%{l_prefix}/var/orientdb/log/orientdb.log;' \
        config/orientdb-server-log.properties \
        $RPM_BUILD_ROOT%{l_prefix}/etc/orientdb/

    #   install program components
    %{l_shtool} install -c -m 644 \
        lib/*.jar $RPM_BUILD_ROOT%{l_prefix}/lib/orientdb/

    #   install web interface parts
    cp -r www/* $RPM_BUILD_ROOT%{l_prefix}/share/orientdb/

    #   install program startup wrappers
    %{l_shtool} install -c -m 755 %{l_value -s -a} \
        %{SOURCE orientdb-server.sh} $RPM_BUILD_ROOT%{l_prefix}/bin/orientdb-server
    %{l_shtool} install -c -m 755 %{l_value -s -a} \
        %{SOURCE orientdb-console.sh} $RPM_BUILD_ROOT%{l_prefix}/bin/orientdb-console

    #   install run-command script
    %{l_shtool} install -c -m 755 %{l_value -s -a} \
        %{SOURCE rc.orientdb} $RPM_BUILD_ROOT%{l_prefix}/etc/rc.d/

    #   determine installation files
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT \
        %{l_files_std} \
        '%config %{l_prefix}/etc/orientdb/*' \
        '%attr(-,%{l_rusr},%{l_rgrp}) %{l_prefix}/var/orientdb/*'

%files -f files

%clean

